<?php
include_once "db.php";
header('Content-Type: application/json');


$anoFiltro = isset($_GET['ano']) && $_GET['ano']!='' ? (int)$_GET['ano'] : null;

// Estatísticas por categoria
$categorias = ['A','A+','B','C','Não Categorizado'];
$categoriasCounts = [];
foreach($categorias as $cat){
    $sql = "SELECT COUNT(*) AS total 
            FROM entrada A 
            INNER JOIN ponto_situacao B ON A.id_entrada = B.id_entrada
            WHERE B.estado='Aprovado' AND A.id_categoria=?";
    if($anoFiltro) $sql .= " AND YEAR(data_entrada)=?";
    $stmt = $conn->prepare($sql);
    if($anoFiltro) $stmt->bind_param("si", $cat, $anoFiltro);
    else $stmt->bind_param("s", $cat);
    $stmt->execute();
    $res = $stmt->get_result()->fetch_assoc();
    $categoriasCounts[$cat] = (int)$res['total'];
    $stmt->close();
}

// Estatísticas por atividade
$atividades = ['Agrícola','Industrial','Energia','Habitacional','Mineração','Hidrocarbonetos','Florestal','Turístico','Pescas','Infraestrutura','Pecuária','Transportes','Aquacultura','Prestação de serviços','Outros'];
$atividadesCounts = [];
foreach($atividades as $act){
   
     $sql = "SELECT COUNT(*) AS total 
            FROM entrada A 
            INNER JOIN ponto_situacao B ON A.id_entrada = B.id_entrada
            WHERE B.estado='Aprovado' AND  A.tipo_projecto=?";
    if($anoFiltro) $sql .= " AND YEAR(data_entrada)?";
    $stmt = $conn->prepare($sql);
    if($anoFiltro) $stmt->bind_param("si", $act, $anoFiltro);
    else $stmt->bind_param("s", $act);
    $stmt->execute();
    $res = $stmt->get_result()->fetch_assoc();
    $atividadesCounts[$act] = (int)$res['total'];
    $stmt->close();
}



echo json_encode([
    'categorias'=>$categoriasCounts,
    'atividades'=>$atividadesCounts
    
]);
